Savemerchanttheme
curl --request PUT \
--url https://api.loyalty.dog/v2/giftcards/merchants/theme \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"presetId": "eposn-default",
"primary": "#15803d",
"primaryFg": "#ffffff",
"sidebarBg": "#ffffff",
"sidebarText": "#4b5563",
"sidebarActiveBg": "#f0fdf4",
"sidebarActiveText": "#15803d",
"sidebarBadge": "#15803d",
"background": "#f9fafb",
"foreground": "#111827",
"surface": "#ffffff",
"border": "#e5e7eb",
"muted": "#6b7280",
"logoUrl": "<string>",
"logoAlt": "<string>",
"fontFamily": "<string>",
"borderRadius": "lg"
}
'import requests
url = "https://api.loyalty.dog/v2/giftcards/merchants/theme"
payload = {
"presetId": "eposn-default",
"primary": "#15803d",
"primaryFg": "#ffffff",
"sidebarBg": "#ffffff",
"sidebarText": "#4b5563",
"sidebarActiveBg": "#f0fdf4",
"sidebarActiveText": "#15803d",
"sidebarBadge": "#15803d",
"background": "#f9fafb",
"foreground": "#111827",
"surface": "#ffffff",
"border": "#e5e7eb",
"muted": "#6b7280",
"logoUrl": "<string>",
"logoAlt": "<string>",
"fontFamily": "<string>",
"borderRadius": "lg"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
presetId: 'eposn-default',
primary: '#15803d',
primaryFg: '#ffffff',
sidebarBg: '#ffffff',
sidebarText: '#4b5563',
sidebarActiveBg: '#f0fdf4',
sidebarActiveText: '#15803d',
sidebarBadge: '#15803d',
background: '#f9fafb',
foreground: '#111827',
surface: '#ffffff',
border: '#e5e7eb',
muted: '#6b7280',
logoUrl: '<string>',
logoAlt: '<string>',
fontFamily: '<string>',
borderRadius: 'lg'
})
};
fetch('https://api.loyalty.dog/v2/giftcards/merchants/theme', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"theme": {
"presetId": "eposn-default",
"primary": "#15803d",
"primaryFg": "#ffffff",
"sidebarBg": "#ffffff",
"sidebarText": "#4b5563",
"sidebarActiveBg": "#f0fdf4",
"sidebarActiveText": "#15803d",
"sidebarBadge": "#15803d",
"background": "#f9fafb",
"foreground": "#111827",
"surface": "#ffffff",
"border": "#e5e7eb",
"muted": "#6b7280",
"logoUrl": "<string>",
"logoAlt": "<string>",
"fontFamily": "<string>",
"borderRadius": "lg"
},
"validation": {},
"performance": {
"cssVarChanges": 123,
"hasCustomFont": true,
"hasLargeLogo": true,
"issues": [
{
"severity": "<string>",
"code": "<string>",
"message": "<string>",
"estimatedMs": 123
}
],
"score": 123
}
}{
"error": "<string>",
"issues": [
{
"field": "<string>",
"severity": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"warnings": [
{
"field": "<string>",
"severity": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}Gift Card Merchants
Savemerchanttheme
Validate and persist the authenticated merchant’s portal theme.
PUT
/
v2
/
giftcards
/
merchants
/
theme
Savemerchanttheme
Authorizations
JWT access token obtained from POST /v2/token.
Headers
Body
application/json
Persisted merchant-facing theme configuration for the EPOSN portal.
Required string length:
1 - 100Maximum string length:
7Maximum string length:
7Maximum string length:
7Maximum string length:
7Maximum string length:
7Maximum string length:
7Maximum string length:
7Maximum string length:
7Maximum string length:
7Maximum string length:
7Maximum string length:
7Maximum string length:
7Maximum string length:
2048Maximum string length:
255Maximum string length:
255Pattern:
^[A-Za-z0-9 ,'\"._\-]+$Available options:
none, sm, md, lg, full ⌘I
